/*
 * Photo Image Print System
 * Copyright (C) 2001-2005 EPSON KOWA Corporation.
 * Copyright (C) Seiko Epson Corporation 2001-2008.
 */
#ifndef __CBTD_WRAPPER_H__
#define __CBTD_WRAPPER_H__

#include "cbtd.h"

#define SID_CTRL 0x02		/* control channel */
#define SID_DATA 0x40		/* data channel */


int start_ecbt_engine (void);
int end_ecbt_engine (void);
int open_port_driver (P_CBTD_INFO);
int close_port_driver (P_CBTD_INFO);

int open_port_channel (P_CBTD_INFO, char);
int close_port_channel (P_CBTD_INFO, char);
int write_to_prt (P_CBTD_INFO, char, char*, int*);
int read_from_prt (P_CBTD_INFO, char, char*, int*);

#endif /* __CBTD_WRAPPER_H__ */
